Search Unity

  1. Megacity Metro Demo now available. Download now.
    Dismiss Notice

Question Native plugin not working on both Intel and Apple Silicon versions of the editor

Discussion in 'macOS' started by Harryh_h, Jun 15, 2023.

  1. Harryh_h

    Harryh_h

    Joined:
    May 12, 2018
    Posts:
    4
    Hi, I'm having issues trying to get a native
    .bundle
    plugin to work on both versions of the editor (2021.3.5f1) on M1/Apple Silicon machines.

    If the plugin is built only for Intel, it works on the Intel editor (Rosetta).
    If the plugin is built only for Apple Silicon, it works on the Apple Silicon editor.
    If the plugin is built for both, it only works on the Apple Silicon editor.

    It will otherwise throw a DllNotFoundException.

    I'm manually building these with XCode and not doing anything special; am I missing a step to make it work on both versions of the editor at once? Should I be using a dylib instead?